close all
rand('seed',1)
% Random Mountains
n=30;
x=rand(n,1);
y=rand(n,1);
d=0.5;
[X,Y]=meshgrid(-d:0.01:1+d,-d:0.01:1+d);
Z=zeros(size(X));
for i=1:n;
  Z=Z+0.2*exp(-100*(X-x(i)).^2-100*(Y-y(i)).^2);
end
surfl(X,Y,Z,[1 1 1])
shading interp
colormap('summer')
hold on
% Deterministic Sun
[xs,ys,zs]=sphere(100);
mesh(1+0.1*xs,1+0.1*ys,1+0.1*zs,ones(size(zs)))
% Random Skyscrapers
[X,Y,Z]=cylinder(0.03,4);
for i=1:5; for j=1:5;
  if (rand(1) < 0.3)
  x0=0.6+0.06*(i+j);
  y0=0.4+0.06*(j-i);
  z0=0.2*rand(1); 
  h=surf(x0+X,y0+Y,z0*Z,ones(size(Z)));
  set(h,'Facecolor',0.7*[1 1 1],'EdgeColor',[0 0 0])
end, end, end

hold off
set(gcf,'Color',[0.5 0.5 1])
axis('off')
axis('equal')
view([60 10])
camva(5)